# PTrace::Block Class Reference

Class to trace Execution blocks. More...

`#include <object.h>`

List of all members.

## Public Member Functions

| Block (const char *fileName, int lineNum, const char *traceName)
| Output entry trace message.
| Block (const Block &obj)
| ~Block ()
| Output exit trace message.

## Detailed Description

Class to trace Execution blocks.

This class is used for tracing the entry and exit of program blocks. Upon construction it outputs an entry trace message and on destruction outputs an exit trace message. This is normally only used from in the `PTRACE_BLOCK()` macro.

## Constructor & Destructor Documentation

PTrace::Block::Block | ( | const char * | fileName,
|  | int | lineNum,
|  | const char * | traceName |
| ) |  |  |

Output entry trace message.

Parameters:

  fileName | Filename of source file being traced
  lineNum | Line number of source file being traced.
  traceName | String to be output with trace, typically it is the function name.

PTrace::Block::Block | ( | const Block & | obj | ) | `[inline]`

PTrace::Block::~Block | ( |  | ) |

Output exit trace message.

The documentation for this class was generated from the following file:

- object.h